# Poco

# class MD5Engine

Library: Foundation
Package: Crypt
Header: Poco/MD5Engine.h

## Description

This class implements the MD5 message digest algorithm, described in RFC 1321.

## Inheritance

Direct Base Classes: DigestEngine

All Base Classes: DigestEngine

## Member Summary

Member Functions: digest, digestLength, reset, updateImpl

Inherited Functions: constantTimeEquals, digest, digestFromHex, digestLength, digestToHex, reset, update, updateImpl

## Enumerations

### Anonymous

BLOCK_SIZE = 64

DIGEST_SIZE = 16

## Constructors

### MD5Engine

MD5Engine();

## Destructor

### ~MD5Engine

~MD5Engine();

## Member Functions

### digest

const DigestEngine::Digest & digest();

### digestLength

std::size_t digestLength() const;

See also: Poco::DigestEngine::digestLength()

### reset

void reset();

See also: Poco::DigestEngine::reset()

### updateImpl

void updateImpl(
const void * data,
std::size_t length
);

See also: Poco::DigestEngine::updateImpl()